<?php
/**
 * 金戈企业建站系统：管理员信息页
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  rootmst.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
session_start();
require('../config.php');
require('rootfun/roothtml.php');
require('rootfun/rootfun.php');

//判断是否是管理员，该函数在myfun.php 中定义
if(!check_root())
	{
		echo '<meta http-equiv="Refresh" content="0; url=../error.php?error=nono" >';
		exit;
	}

//插入页头
rootheader();
?>
<div id="rootmain">
<?php
$action = $_GET['action'];

//修改密码表单
if ($action == 'rootpass') 
{
     display_rootpass_form();
}

//修改密码处理
if ($action == 'uppass') 
{
     $opass = $_POST['opass'];
     $npass = $_POST['npass'];
     $npass2 = $_POST['npass2'];
     if (!filled_out($_POST)) 
     {
          echo '请完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     if ($npass != $npass2) 
     {
          echo '两次新密码输入不一致--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     if (strlen($npass)>16 || strlen($npass)<6)
     {
     	echo '新密码必须大于6位，小于16位--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
		exit;
     }
     
     if (change_rootpass($_SESSION['root_name'],$opass,$npass)) 
     {
          echo '更新成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     }
     else 
     {
     	echo '数据库异常,更新失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     }
}

//添加管理员表单
if ($action == 'rootinmst') 
{
     display_root_form();
}

//添加管理员数据处理
if ($action == 'inroot') 
{
     $user = my_yz($_POST['user']);
     $npass = $_POST['npass'];
     $npass2 = $_POST['npass2'];
     if (!filled_out($_POST)) 
     {
		echo '完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
		exit;
     }
     if ($npass != $npass2) 
     {
        echo '两次密码输入不一致--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
		exit;
     }
     
     if (reroot($user,$npass)) 
     {
        echo '添加成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
		exit;
     }
     else 
     {
     	echo '请重新添加--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
		exit;
     }
}

//管理员管理
if ($action == 'root') 
{
     $root = root_a();
     if (!$root) 
     {
          echo '没有管理员...';
     }
     if ($root) 
     {
          $root = setarray($root);
          foreach ($root as $row)
		{
			if ($row['root_name'] != $_SESSION['root_name']) 
			{
				echo '管理员名称：  '.$row['root_name'].'　　'; 
    			echo '<a href=rootmst.php?action=delroot&rid='.$row['root_id'].'>删除</a><br />';
			}
			else 
			{
				echo '管理员名称：  '.$_SESSION['root_name'].'　　　删除';
			}
 		}
     }
}

//删除管理员
if ($action == 'delroot') 
{
     $rid = trim($_GET['rid']);
     if (delroot($rid)) 
     {
          echo '删除成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     }
     else 
     {
     	echo '请重新删除--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     }
}
?>
</div>
<?php
//插入页脚
rootfooter();
?>